<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 17/03/2017 15:41
OBS.: ATUALIZAÇÃO DE ESTRUTURA E REVISÃO
*/

include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
include("../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	
	
	//recebe os parâmetros

	$idvenda = $_REQUEST['idvenda'];
	$quantidade = $_REQUEST['qtde'];
	$idservicovenda = $_REQUEST['idservicovenda'];
	$titulo = $_REQUEST['titulo'];	
	$valor = $_REQUEST['valor'];	
	$unidade = $_REQUEST['unidade'];	
    $idfilial = $_REQUEST['idfilial'];
	$bdiproduto = $_REQUEST['bdiproduto'];	
	$idvenda_andar = $_REQUEST['idvenda_andar'];		
		

//VERIFICO SE SERVIÇO EXISTE NA BASE SE NÃO ADICIONO
$SelecionaServicos = Seleciona("vendas_servicos", "WHERE idservicovenda='$idservicovenda'", "LIMIT 0,1");
while($sericos = mysql_fetch_array($SelecionaServicos)){
    
    $idservico_atual = $servicos['idservico'];
    $idcategoria = $servicos['idservicocategoria'];
    
    if($idservico_atual == ""){
        
    $tabela                 ="servicos";
    $campos_tabela = "idcategoria, titulo, valorcusto, unidade, idfilial";

    $campos_value = "'$idcategoria', '$titulo', '$valor', '$unidade', '$idfilial'";

    $salvar = Salvar($tabela,  $campos_tabela, $campos_value);

    // RETORNA ULTIMO ID INSERIDO
    $idservico_atual = mysql_insert_id();



    }
    
}


    try
    {

$campos_alterar = "titulo='$titulo', valorunitario='$valor', quantidade='$quantidade', unidade='$unidade', idfilial='$idfilial', bdiproduto='$bdiproduto', idservico='$idservico_atual', idvenda_andar='$idvenda_andar'";

        //insere na BD
		$AlterarObra = Alterar("vendas_servicos", $campos_alterar, "idservicovenda", $idservicovenda);
		
        //retorna 1 para no sucesso do ajax saber que foi com inserido sucesso
        echo "1";
    } 
    catch (Exception $ex)
    {
        //retorna 0 para no sucesso do ajax saber que foi um erro
        echo "0";
    }
?>